# SkyUnstake

### Description

Unstake token from

### Action ID

`0x30d15631`

### SDK Action

```ts
const skyUnstakeAction = new dfs.actions.sky.SkyUnstakeAction(
    stakingContract,
    stakingToken,
    amount,
    to
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param stakingContract address of the staking rewards contract
    /// @param stakingToken address of the token being staked
    /// @param amount amount of stakingToken to unstake
    /// @param to address which will receive rewards
    struct Params {
        address stakingContract;
        address stakingToken;
        uint256 amount;
        address to;
    }
```

### Return Value

```solidity
return bytes32(amountUnstaked);
```

### Events and Logs

```solidity
emit ActionEvent("SkyUnstake", logData);
logger.logActionDirectEvent("SkyUnstake", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/sky/skyunstake.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
